summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-08-18 00:42:12 -0400
committerTim Harder <radhermit@gentoo.org>2017-08-18 00:42:12 -0400
commit9b419acf142b2c7d6c156f15fc5fbc4b63513228 (patch)
treef47e7e71843a52fa07d8e9ce72d6bdb52544d70a /media-gfx/gif2apng
parentmedia-gfx/apngopt: remove old (diff)
downloadgentoo-9b419acf142b2c7d6c156f15fc5fbc4b63513228.tar.gz
gentoo-9b419acf142b2c7d6c156f15fc5fbc4b63513228.tar.bz2
gentoo-9b419acf142b2c7d6c156f15fc5fbc4b63513228.zip
media-gfx/gif2apng: update to EAPI 6 and use external zopfli lib
Diffstat (limited to 'media-gfx/gif2apng')
-rw-r--r--media-gfx/gif2apng/files/gif2apng-1.9-makefile.patch18
-rw-r--r--media-gfx/gif2apng/gif2apng-1.9-r1.ebuild38
2 files changed, 56 insertions, 0 deletions
diff --git a/media-gfx/gif2apng/files/gif2apng-1.9-makefile.patch b/media-gfx/gif2apng/files/gif2apng-1.9-makefile.patch
new file mode 100644
index 00000000000..2322e214fbf
--- /dev/null
+++ b/media-gfx/gif2apng/files/gif2apng-1.9-makefile.patch
@@ -0,0 +1,18 @@
+--- gif2apng-1.9-src/Makefile
++++ gif2apng-1.9-src/Makefile
+@@ -1,11 +1,9 @@
+ PACKAGE = gif2apng
+-CC = gcc
+-SRC_DIRS = . 7z zopfli
+-CFLAGS = -Wall -pedantic
+-CFLAGS_OPT = -O2
++CC ?= gcc
++SRC_DIRS = . 7z
++CFLAGS += -Wall -pedantic
+ CFLAGS_7Z = -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
+-LDFLAGS = -s
+-LIBS = -lstdc++ -lm -lz
++LIBS = -lstdc++ -lm -lz -lzopfli
+
+ INCUDE_DIRS := $(addprefix -I./, $(SRC_DIRS))
+ OBJ_DIRS := $(addprefix obj/, $(SRC_DIRS))
diff --git a/media-gfx/gif2apng/gif2apng-1.9-r1.ebuild b/media-gfx/gif2apng/gif2apng-1.9-r1.ebuild
new file mode 100644
index 00000000000..9e8aa44e1c0
--- /dev/null
+++ b/media-gfx/gif2apng/gif2apng-1.9-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="create an APNG from a GIF"
+HOMEPAGE="https://sourceforge.net/projects/gif2apng/"
+SRC_URI="mirror://sourceforge/${PN}/${PV}/${P}-src.zip"
+
+LICENSE="ZLIB LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="sys-libs/zlib
+ app-arch/zopfli:="
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S=${WORKDIR}
+
+PATCHES=( "${FILESDIR}"/${P}-makefile.patch )
+
+src_prepare() {
+ default
+
+ # remove bundled libs
+ rm -r zlib zopfli || die
+
+ tc-export CC
+}
+
+src_install() {
+ dobin ${PN}
+ dodoc readme.txt
+}